[Python-apps-commits] r5279 - in packages/sabnzbdplus/trunk/debian (4 files)

jcfp-guest at users.alioth.debian.org jcfp-guest at users.alioth.debian.org
Tue May 25 13:02:59 UTC 2010


    Date: Tuesday, May 25, 2010 @ 13:02:46
  Author: jcfp-guest
Revision: 5279

Prep for new upstream release 0.5.3

Modified:
  packages/sabnzbdplus/trunk/debian/changelog
  packages/sabnzbdplus/trunk/debian/control
  packages/sabnzbdplus/trunk/debian/sabnzbdplus.1
  packages/sabnzbdplus/trunk/debian/sabnzbdplus.init

Modified: packages/sabnzbdplus/trunk/debian/changelog
===================================================================
--- packages/sabnzbdplus/trunk/debian/changelog	2010-05-24 20:18:39 UTC (rev 5278)
+++ packages/sabnzbdplus/trunk/debian/changelog	2010-05-25 13:02:46 UTC (rev 5279)
@@ -1,3 +1,11 @@
+sabnzbdplus (0.5.3-1) UNRELEASED; urgency=low
+
+  * New upstream release.
+  * Added status action to the init script.
+  * Newzbin is no more: updating man page and package description.
+
+ -- JCF Ploemen (jcfp) <linux at jp.pp.ru>  Tue, 25 May 2010 14:48:45 +0200
+
 sabnzbdplus (0.5.2-1) unstable; urgency=low
 
   * New upstream release.

Modified: packages/sabnzbdplus/trunk/debian/control
===================================================================
--- packages/sabnzbdplus/trunk/debian/control	2010-05-24 20:18:39 UTC (rev 5278)
+++ packages/sabnzbdplus/trunk/debian/control	2010-05-25 13:02:46 UTC (rev 5279)
@@ -40,8 +40,9 @@
  .
  Multiple servers are supported, as well as secure (ssl) connections, ipv6, 
  scheduling, pausing and resuming downloads, queue manipulation, rss feeds,
- newzbin integration, automatic sorting, a download history, email
- notifications, and custom post-processing scripts.
+ automatic sorting, a download history, email notifications, and custom
+ post-processing scripts. An extensive API allows third party applications to
+ interact with the program.
  .
  The program is a fork of the original SABnzbd code, which is no longer actively
  developed.

Modified: packages/sabnzbdplus/trunk/debian/sabnzbdplus.1
===================================================================
--- packages/sabnzbdplus/trunk/debian/sabnzbdplus.1	2010-05-24 20:18:39 UTC (rev 5278)
+++ packages/sabnzbdplus/trunk/debian/sabnzbdplus.1	2010-05-25 13:02:46 UTC (rev 5279)
@@ -25,7 +25,7 @@
 .SH DESCRIPTION
 SABnzbd+ is a web\-based binary newsgrabber written in Python, with support for the popular nzb file format. It takes one or more nzb files as input and from there on does all the work, including fetching files, checking file integrity, and unpacking. Configuration can be done via the web interface or in the configuration file.
 
-Multiple servers are supported, as well as secure (ssl) connections, ipv6, scheduling, pausing and resuming downloads, queue manipulation, rss feeds, newzbin integration, automatic sorting, a download history, email notifications, and custom post\-processing scripts.
+Multiple servers are supported, as well as secure (ssl) connections, ipv6, scheduling, pausing and resuming downloads, queue manipulation, rss feeds, automatic sorting, a download history, email notifications, and custom post\-processing scripts. An extensive API allows third party applications to interact with the program.
 
 .SH USAGE
 To run the program execute \fBsabnzbdplus\fR, then point your favorite web browser to \fBhttp://<host>:<port>\fR. The host and port settings default to localhost and 8080, respectively; the default port for https connections is 9090.

Modified: packages/sabnzbdplus/trunk/debian/sabnzbdplus.init
===================================================================
--- packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2010-05-24 20:18:39 UTC (rev 5278)
+++ packages/sabnzbdplus/trunk/debian/sabnzbdplus.init	2010-05-25 13:02:46 UTC (rev 5279)
@@ -21,11 +21,11 @@
 ### END INIT INFO
 
 DAEMON=/usr/bin/sabnzbdplus
+SETTINGS=/etc/default/sabnzbdplus
 
-[ -x $DAEMON ] || exit 0
+([ -x $DAEMON ] && [ -r $SETTINGS ]) || exit 0
 
 DESC="SABnzbd+ binary newsgrabber"
-SETTINGS=/etc/default/sabnzbdplus
 DEFOPTS="--daemon"
 PYTHONEXEC="^$(sed -n '1s/^#\!\([a-z0-9\.\/]\+\)\(.*\)/\1(\2)?/p' $DAEMON)"
 PIDFILE=/var/run/sabnzbdplus.pid
@@ -53,12 +53,11 @@
 }
 
 load_settings() {
-	[ -r $SETTINGS ] || exit 0
 	. $SETTINGS
 
 	[ -z "$USER" ] && {
 		log_warning_msg "$DESC: not configured, aborting. See $SETTINGS";
-		exit 0; }
+		return 6; }
 
 	OPTIONS="$DEFOPTS"
 	[ -n "$CONFIG" ] && OPTIONS="$OPTIONS --config-file $CONFIG"
@@ -66,11 +65,12 @@
 	[ -n "$PORT" ] && SERVER="$SERVER:$PORT"
 	[ -n "$SERVER" ] && OPTIONS="$OPTIONS --server $SERVER"
 	[ -n "$EXTRAOPTS" ] && OPTIONS="$OPTIONS $EXTRAOPTS"
+	return 0
 }
 
 case "$1" in
 	start)
-		load_settings
+		load_settings || exit $?
 		if ! is_running; then
 			log_daemon_msg "Starting $DESC"
 			start-stop-daemon --quiet --chuid $USER --start --exec $DAEMON -- $OPTIONS
@@ -83,7 +83,7 @@
 		fi
 	;;
 	stop)
-		load_settings
+		load_settings || exit $?
 		if is_running; then
 			TMPFILE=$(mktemp /tmp/sabnzbdplus.XXXXXXXXXX || exit 1)
 			trap '[ -f $TMPFILE ] && rm -f $TMPFILE' EXIT
@@ -100,8 +100,18 @@
 		$0 stop || exit $?
 		$0 start || exit $?
 	;;
+	status)
+		load_settings || exit 4
+		if is_running; then
+			log_success_msg "$DESC: running (pid $PID)"
+		else
+			log_success_msg "$DESC: not running"
+			[ -f $PIDFILE ] && exit 1 || exit 3
+		fi
+	;;
 	*)
-		log_failure_msg "Usage: $0 {start|stop|restart|force-reload}"
+		log_failure_msg "Usage: $0 {start|stop|restart|force-reload|status}"
+		exit 3
 	;;
 esac
 




More information about the Python-apps-commits mailing list